$!-----------------------------------------------------------------------------
$! BUILD_MONDESI.COM
$!
$! 13-SEP-2008  MGD  initial
$!-----------------------------------------------------------------------------
$ ON CONTROLY THEN EXIT 44
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""MONDESI""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ DEFINES = "/DEFINE=(__VMS_VER=70300000,__CRTL_VER=70300000)"
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "IA64"
$ THEN
$    CC_OPTIONS = "/DECC /OPTIMIZE /FLOAT=IEEE /IEEE=DENORM " +-
                  "/STAND=RELAXED_ANSI 'DEFINES'" +-
                  "/WARNING=(DISABLE=(PREOPTW,IMPLICITFUNC,ADDRCONSTEXT))
$ ELSE
$    CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI 'DEFINES'" +-
                  "/WARNING=(DISABLE=(PREOPTW,IMPLICITFUNC,ADDRCONSTEXT))
$ ENDIF
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /OBJECT='OBJECT_DIR' MONDESI
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /NOTRACEBACK /EXECUTABLE='OBJECT_DIR'MONDESI.EXE 'OBJECT_DIR'MONDESI
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ PURGE /NOLOG 'OBJECT_DIR'
$!
$!-----------------------------------------------------------------------------
